Subject: RE: BFD charter update proposal [was: RE: Working Group adoption for Seamless BFD (requires re-charter)]

From: Mach Chen <[email-masked]>
Date: Sun, 4 May 2014 10:02:42 +0000

Hi Carlos, Jeff and all,

I am OK with either Seamless or Stateless, a little preference to Stateless although it cannot totally reflect the whole characteristics of S-BFD, it does shows a very important characteristic of S-BFD. 

Best regards,
Mach

> -----Original Message-----
> From: Rtg-bfd [mailto:[email-masked]] On Behalf Of Carlos Pignataro
> (cpignata)
> Sent: Tuesday, April 29, 2014 2:18 AM
> To: Jeff Haas
> Cc: [email-masked]
> Subject: Re: BFD charter update proposal [was: RE: Working Group adoption for
> Seamless BFD (requires re-charter)]
> 
> Hi Jeff,
> 
> On Apr 28, 2014, at 9:48 AM, Jeffrey Haas <[email-masked]> wrote:
> 
> > [Not specifically speaking as a chair here...]
> >
> > On Sun, Apr 27, 2014 at 02:47:37PM +0000, Nobo Akiya (nobo) wrote:
> >> Here's consolidated charter text proposal.
> >>
> >>
> >> Attempt #2
> >>
> >> Define a mechanism to perform single-ended path (ex: continuity) verification
> based on the BFD specification; allow such mechanism to seamlessly work both
> proactively and on-demand; allow the mechanism to maintain multiple sessions
> to a target entity. In doing this work, the WG will work closely with at least the
> following other WGs: ISIS, OSPF, SPRING.
> >
> > So... what exactly does seamless mean here?  What seams were you
> > seeing that you were trying to remove?
> >
> > FWIW, I think the charter discussion is moving along well, but I've
> > never quite groked the context for "seamless" for the proposal.
> > "Stateless" BFD, I can see quite well.
> >
> 
> Like others have said, we had some renaming discussions. Now it would be a
> good time to converge. Some of the (not perfect, but perfect is the enemy of
> good and progress here) more technical qualifiers are "Stateless", "Reflector",
> "Responder", "Mesh Group", "Asymmetric". These focus on the behavior of the
> responder mostly. Descriptive ones are also possible like "Easy", "Simple",
> "Seamless", etc.
> 
> Frankly I am not concerned about which name -- other than we should be
> consistent.
> 
> Net-net: I support your proposal of "Stateless" and a %s/Seamless/Stateless/g. It
> also keeps the same abbrev of S-BFD. What do others think?
> 
> Thanks,
> 
> Carlos.
> 
> > -- Jeff